Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160855 - GRUB gets (hd0) and (hd1) backwards during install
Summary: GRUB gets (hd0) and (hd1) backwards during install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: grub
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 20:31 UTC by John William
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-16 17:17:25 UTC


Attachments (Terms of Use)

Description John William 2005-06-17 20:31:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
During the install of FC4, grub created a device.map of:

(fd0) /dev/fd0
(hd1) /dev/hda
(hd0) /dev/hdb

and it then created the grub.conf to match. The "actual" mapping has (hd0) as /dev/hda and (hd1) as /dev/hdb. On restart, grub was totally confused. After using the command line to boot into FC4, I ran grub-install --recheck and grub created the correct device map.

The system was originally booted from the "diskboot.img" image, not from the CD image, for the original install.

The machine has two hard drives, /dev/hda on IDE channel 1 as master and /dev/hdb on channel 2 as master. /dev/hda has one vfat partition and /dev/hdb is the FC4 install disk.

Version-Release number of selected component (if applicable):
grub-0.95-13

How reproducible:
Always

Steps to Reproduce:
1. Use diskboot.img to begin install process.
2. Proceed with a clean install, workstation build with defaults for everything.
3. Grub is confused about the mapping at install time but not on subsequent boots.
  

Actual Results:  Grub created a bad device.map and therefore a bad grub.conf file.

Expected Results:  Grub device mappings should be the same when booting off the install image as when booting into the fully installed OS.

Additional info:

Comment 1 Christian Iseli 2007-01-22 10:27:08 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.


Note You need to log in before you can comment on or make changes to this bug.